/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package salidasautomaticas.util;

import java.util.Calendar;
import java.util.Date;

/**
 *
 * @author sistem19user
 */
public class Metodos {
    
    /**
     * Devuelve un objeto Date con la fecha de hoy y con la hora 
     * que le pasamos como parametro(en formato hh:mm en 24 horas).
     * 
     * @param horaEjecucion hora que se va a setear al Date del dia de hoy.
     * @return 
     */
    public static Date getHoraEjecucion(String horaEjecucion) {
        Date date = new Date(System.currentTimeMillis());

        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);

        String[] splitHoraSalida = horaEjecucion.split(":");
        int hora = Integer.parseInt(splitHoraSalida[0]);
        int minuto = Integer.parseInt(splitHoraSalida[1]);

        calendar.set(Calendar.HOUR_OF_DAY, hora);
        calendar.set(Calendar.MINUTE, minuto);
        calendar.set(Calendar.SECOND, 0);

        date = calendar.getTime();

        return date;
    }
    
}
